Squirrelmail Issue

I’ve managed to install Squirrelmail via the install scripts. Unfortunately I can’t login. I get the message below:

Could not include PEAR database functions required for the database backend. Is PEAR installed, and is the include path set correctly to find DB.php? Please contact your system administrator and report this error.

Here’s the output of pear list:

PHP Warning: Module ‘mcrypt’ already loaded in Unknown on line 0
Installed packages, channel pear.php.net:

Package Version State
Archive_Tar 1.3.1 stable
Console_Getopt 1.2 stable
Log 1.11.3 stable
PEAR 1.4.9 stable
XML_RPC 1.5.0 stable

I’m running PHP 5.2.6 from the Virtualmin bleeding edge repo. CentOS 5.2 32bit.

Any ideas?

Hrm, it’s certainly not supposed to do that :slight_smile:

It sounds like there’s a dependency missing – while I’m sure we can get it working by tweaking around with those dependencies, I’d actually recommend filing a bug report so that Jamie can fix that correctly – install scripts should just work, right out of the box.

You can file a bug report using the Bugs and Issues link below.
-Eric

andreychek wrote:

Hrm, it's certainly not supposed to do that :-)

It sounds like there’s a dependency missing – while I’m sure we can get it working by tweaking around with those dependencies, I’d actually recommend filing a bug report so that Jamie can fix that correctly – install scripts should just work, right out of the box.

You can file a bug report using the Bugs and Issues link below.
-Eric


That was my thought too. I’ve opened a bug report.
http://www.virtualmin.com/index.php?option=com_flyspray&Itemid=82&do=details&task_id=5225&Itemid=82&project=1